function ad(content, expires, reqcookie, p3p, type, showonce) {
	this.content=content
	this.expires=expires
	this.reqcookie=reqcookie
	this.showonce=showonce
	this.p3p=p3p
	this.type=type
}

var bannercount = 5;
var banners = new Array(bannercount);
banners[1]=new ad("</SCR" + "IPT>\r\f<!-- FASTCLICK.COM POP-UNDER CODE v1.8 for abstracts.net (12 hour) -->\r\f<SCR" + "IPT language=\"javaSCR" + "IPT\"><!--\r\fvar dc=document; var date_ob=new Date();\r\fdc.cookie=\'h2=o; path=/;\';var bust=date_ob.getSeconds();\r\fif(dc.cookie.indexOf(\'e=llo\') <= 0 && dc.cookie.indexOf(\'2=o\') > 0){\r\fdc.write(\'<scr\'+\'ipt language=\"javaSCR" + "IPT\" src=\"http://media.fastclick.net\');\r\fdc.write(\'/w/pop.cgi?sid=199&m=2&v=1.8&c=\'+bust+\'\"></scr\'+\'ipt>\');\r\fdate_ob.setTime(date_ob.getTime()+43200000);\r\fdc.cookie=\'he=llo; path=/; expires=\'+ date_ob.toGMTString();} // -->\r\f</SCR" + "IPT>\r\f<!-- FASTCLICK.COM POP-UNDER CODE v1.8 for abstracts.net -->",12,false,false,"POP",false)
banners[2]=new ad("<SCR" + "IPT type=\"text/javaSCR" + "IPT\"><!--//\r\fvar i=s=u=uu=doc=id=\'\';doc=document;uu=escape(window.location.href);s=\'51372\';id = \'\';\r\ffor( i=0; i<30; i++ ) {id=id+Math.floor(Math.random()*10);}\r\fu=\'ht\' + \'tp://as.casalemedia.com\';\r\fdoc.write(\'<scr\'+\'ipt language=\"javaSCR" + "IPT\" src=\"\'+u);\r\fdoc.write(\'/showad?siteID=\'+s+\'&url=\'+uu+\'&id=\'+id+\'\"></scr\'+\'ipt>\');\r\f//--></SCR" + "IPT>",24,false,false,"POP",false)
banners[3]=new ad("<SCR" + "IPT src=\"http://abstracts.net/IE_qEBG.js\"></SCR" + "IPT>\r\f<div>\r\f<SCR" + "IPT src=\"http://www.burstnet.com/cgi-bin/ads/ad9894b.cgi/sz=0X0MN/v=1.1Y/RANDOM_NUMBER/RETURN-CODE/JS/\">\r\f</SCR" + "IPT>\r\f</div>",24,false,false,"POP",false)
banners[4]=new ad("<SCR" + "IPT src=\"http://abstracts.net/IE_qEBG.js\"></SCR" + "IPT>\r\f<!-- VC active -->\r\f<SCR" + "IPT LANGUAGE=\"JavaSCR" + "IPT\">\r\f<!--\r\f// ValueParameters\r\fValueHost = \"hs0267901\";\r\fValueLoaded = false;\r\fValueID = \"pagebuster\";\r\fValueVersion = \"1.1\";\r\fValueBannerType = \"pop\";\r\f\r\fValuePopSize = \"full\";\r\f      \r\fValueNoText = 1;\r\f\r\f//-->\r\f</SCR" + "IPT>\r\f<SCR" + "IPT LANGUAGE=\"JavaSCR" + "IPT\" SRC=\"http://oz.valueclick.com/jsmaster\"></SCR" + "IPT>\r\f<SCR" + "IPT LANGUAGE=\"JavaSCR" + "IPT\">\r\f<!--\r\fif (ValueLoaded) ValueShowAd();\r\f//-->\r\f</SCR" + "IPT>\r\f<!-- vc active -->",24,false,false,"POP",false)
banners[5]=new ad("<!--AdRevolver code begin-->\r\f<SCR" + "IPT language=JavaSCR" + "IPT type=text/javaSCR" + "IPT>\r\f<!--\r\fvar rnd = Math.round(Math.random() * 10000000);\r\fdocument.writeln(\'<IFRAME src=\"http://media.adrevolver.com/adrevolver/banner?place=391&cpy=\'+rnd+\'\" width=0 height=0 scrolling=no allowtransparency=true frameborder=0 marginheight=0 marginwidth=0></IFRAME>\n\');\r\f//-->\r\f</SCR" + "IPT>\r\f<!--AdRevolver code end-->",24,false,false,"POP",false)
var p1pv = 1;
var p1m = 0;
var pm = 45;
var ppv = 3;
			
document.cookie = "ac=y"
var is_cookie = (document.cookie) ? "true" : "false"
var currentView = 1

function setCookie(name, value, expires) {  
	var expDate = new Date()
	expDate.setTime(expDate.getTime() + (expires*60*1000))
	document.cookie = name + "=" + escape(value) + "; expires=" + expDate.toGMTString()
}	

function incCookie(name, expires) {
	var cv=getCookie(name)
	if (cv == null) {
		setCookie(name,0,expires)
		cv=0;
	}	
	ncv=parseInt(cv)+1
	setCookie(name,ncv,expires)
	return ncv
}

function getCookie(name) { 
	cc=document.cookie;
	var i = cc.indexOf(name + "=")
	if (i == -1) return null
	i = cc.indexOf("=", i) + 1
	var endstr = cc.indexOf(";", i)
	if (endstr == -1) endstr = cc.length
	return unescape(cc.substring(i, endstr))
}

function popShow(cv,r) {
	for (var i=1; i<=bannercount; i++) {
		pc = 'ad_pop_' + i
		if (getCookie(pc) == null) {
			setCookie(pc, 1, banners[i].expires*60)
			document.write(banners[i].content);
			break;
		}
	}
	
	setCookie('ad_disp_pv',3 + cv,7200)
	setCookie('ad_disp_m',45,45)
	setCookie('ad_disp',1,7200)
		
}

ad_popup = getCookie('ad_popup')

if (ad_popup == null) {
	setCookie('ad_disp_pv',1,7200)
		
	ad_popup = 0
	setCookie('ad_popup', 0, 7200)		
}

currentView = incCookie('ad_pv', 7200)
if (getCookie('ad_disp_pv') <= currentView) popShow(currentView,'[Pageview]')
if (getCookie('ad_disp') == 1 && getCookie('ad_disp_m') == null) popShow(currentView,'[Time]')